Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameters.CAST5AlgorithmParameters

    java.lang.Object
      java.security.AlgorithmParametersSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameters
              org.bouncycastle.jce.provider.JDKAlgorithmParameters.CAST5AlgorithmParameters

Enclosing class:
  JDKAlgorithmParameters

public static class JDKAlgorithmParameters.CAST5AlgorithmParameters
extends JDKAlgorithmParameters

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters
`JDKAlgorithmParameters.CAST5AlgorithmParameters, JDKAlgorithmParameters.DH, JDKAlgorithmParameters.DSA, JDKAlgorithmParameters.ElGamal, JDKAlgorithmParameters.IDEAAlgorithmParameters, JDKAlgorithmParameters.IES, JDKAlgorithmParameters.IVAlgorithmParameters, JDKAlgorithmParameters.PKCS12PBE, JDKAlgorithmParameters.RC2AlgorithmParameters`

Constructor Summary
`JDKAlgorithmParameters.CAST5AlgorithmParameters()`

Method Summary
`protected byte[]` | `engineGetEncoded()`
`protected byte[]` | `engineGetEncoded(java.lang.String format)`
`protected java.security.spec.AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`protected void` | `engineInit(byte[] params)`
`protected void` | `engineInit(byte[] params, java.lang.String format)`
`protected java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameters.CAST5AlgorithmParameters

    public JDKAlgorithmParameters.CAST5AlgorithmParameters()

Method Detail

### engineGetEncoded

    protected byte[] engineGetEncoded()

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String format)

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`

### engineGetParameterSpec

    protected java.security.spec.AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                                        throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                       throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineInit

    protected void engineInit(byte[] params,
                              java.lang.String format)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineToString

    protected java.lang.String engineToString()

  Specified by:
    `engineToString` in class `java.security.AlgorithmParametersSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD